declare var drupalSettings : any;
declare var Drupal : any;

import { createApp } from 'vue';
import App from './App.vue';
import '@imengyu/vue3-context-menu/lib/vue3-context-menu.css';
import ContextMenu from '@imengyu/vue3-context-menu';
import Vue3ColorPicker from 'vue3-colorpicker';
import "vue3-colorpicker/style.css";

Drupal.behaviors.svgMap = {
  attach () {
    document.querySelectorAll('[data-vue-app="svg-map"]').forEach(elem => {
      if (elem instanceof HTMLElement && elem.dataset.vueAppStarted !== 'true') {
        let next = elem.nextElementSibling;
    
        if (next && next instanceof HTMLInputElement && next.type === 'hidden') {
          elem.dataset.vueAppStarted = 'true';
          createApp(App, { input: elem.nextElementSibling, settings: drupalSettings ? drupalSettings.svgMap || {} : {} }).use(ContextMenu).use(Vue3ColorPicker).mount(elem);
        }
      }
    });    
  }
};
