declare var drupalSettings : any;
declare var Drupal : any;

interface SVGObjectInterface {
  readonly type : string;
  category : string | undefined;
  position : PointInterface;
  layer : number;
  popup: {
    title : string;
    text : string;
    imageUrl : string;
    imageWidth : number;
    imageHeight : number;
    link : string;
  };

  public getTransformOrigin() : Point;
  public getTransform() : string | undefined;
  public hasPopupImage() : boolean;
  public hasPopupTitle() : boolean;
  public hasPopupText() : boolean;
  public hasPopupLink() : boolean;
  public hasPopup() : boolean;
  public getCategories() : string[] | void;
  public hasCategory(category : string) : boolean;
};

interface StorageInterface {
  elements : SVGObjectInterface[],
};
