declare var drupalSettings : any;
declare var Drupal : any;

import { createApp } from 'vue';
import App from './UserApp.vue';

Drupal.behaviors.svgUserMap = {
  attach () {
    document.querySelectorAll('[data-vue-app="svg-user-map"]').forEach(elem => {
      if (elem instanceof HTMLElement && elem.dataset.vueAppStarted !== 'true') {
        elem.dataset.vueAppStarted = 'true';

        createApp(App, { root: elem, settings: drupalSettings ? drupalSettings.svgMap || {} : {} }).mount(elem);
      }
    });
  },
};
